Bug 800797 - (ghc-vault) Review Request: ghc-vault - Persistent store for typed values
Review Request: ghc-vault - Persistent store for typed values
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 783419
  Show dependency treegraph
 
Reported: 2012-03-07 04:49 EST by Jens Petersen
Modified: 2012-04-18 15:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-vault-0.1.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 21:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-03-07 04:49:24 EST
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-vault/ghc-vault.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-vault/ghc-vault-0.1.0.0-1.fc16.src.rpm
Description: Typed persistent store for values of arbitrary types

Needed for wai-1.*

http://koji.fedoraproject.org/koji/taskinfo?taskID=3862958
Comment 1 Narasimhan 2012-03-24 06:12:23 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint -i ghc-vault-0.1.0.0-1.fc15.src.rpm ghc-vault-devel-0.1.0.0-1.fc15.x86_64.rpm ghc-vault-0.1.0.0-1.fc15.x86_64.rpm ../ghc-vault.spec
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum vault-0.1.0.0.tar.gz 
ad7762b8e221c40135303953aa0a8147  vault-0.1.0.0.tar.gz

md5sum ghc-vault-0.1.0.0-1.fc16.src/vault-0.1.0.0.tar.gz 
ad7762b8e221c40135303953aa0a8147  ghc-vault-0.1.0.0-1.fc16.src/vault-0.1.0.0.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-vault
error: Failed dependencies:
	ghc(vault-0.1.0.0) = 425918c5db54b7c35ef7ca0e2c05af80 is needed by (installed) ghc-vault-devel-0.1.0.0-1.fc15.x86_64
	ghc-vault = 0.1.0.0-1.fc15 is needed by (installed) ghc-vault-devel-0.1.0.0-1.fc15.x86_64

[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installs fine. Loaded Data.Vault.ST into ghci. Loads fine
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 2 Jens Petersen 2012-04-01 20:03:48 EDT
Thank you for reviewing! :)


New Package SCM Request
=======================
Package Name: ghc-vault
Short Description: Persistent store for typed values
Owners: petersen
Branches: f17 f16 f15 el6
InitialCC: haskell-sig
Comment 3 Jon Ciesla 2012-04-02 06:02:55 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-04-04 04:58:18 EDT
ghc-vault-0.1.0.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-vault-0.1.0.0-1.fc16
Comment 5 Fedora Update System 2012-04-04 04:58:29 EDT
ghc-vault-0.1.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-vault-0.1.0.0-1.fc15
Comment 6 Fedora Update System 2012-04-04 04:58:38 EDT
ghc-vault-0.1.0.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-vault-0.1.0.0-1.fc17
Comment 7 Fedora Update System 2012-04-05 14:27:01 EDT
ghc-vault-0.1.0.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-04-11 21:52:22 EDT
ghc-vault-0.1.0.0-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-04-18 15:24:23 EDT
ghc-vault-0.1.0.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-04-18 15:33:53 EDT
ghc-vault-0.1.0.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.